質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.12%

PHPをソースからビルドした際にPDOオプションでエラーになる

受付中

回答 1

投稿

  • 評価
  • クリップ 1
  • VIEW 631

WAKSUGI

score 4

PHPをビルドすると以下のエラーが出ます。
configure: error: Unable to build the PDO PostgreSQL driver: a newer libpq is required

(環境)
OS:RedHat7.6(Maipo) カーネル:3.10.0-957.el7.ppc64le

環境作成順
Postgresql10(ttps://download.postgresql.org/pub/repos/yum/10/redhat/rhel-7.6-ppc64le/pgdg-redhat10-10-2.noarch.rpmをダウンロードしてyumでインストール)
Apatch2.4.6(yumでインストール)
PHP7.3.6(ソースコードよりコンパイルして作成)
作成コマンド:./configure --prefix=/usr/local/php-7.3.6  --with-apxs2=/usr/bin/apxs --enable-mbstring --with-pear=PREFIX/lib/php --enable-fpm --enable-mysqlnd --with-gd --enable-intl --with-pdo-pgsql=/usr/pgsql-10/bin --with-pgsql=/usr/pgsql-10/bin --with-libzip=/usr/local --with-openssl --with-openssl-dir=/usr/local/openssl

現状動作
「-with-pdo-pgsql=/usr/pgsql-10/bin --with-pgsql=/usr/pgsql-10/bin」をはずすとPHPはビルドできます。
phpinfoの確認も可能です
もちろんpgsqlのpdoは出来ず、別途拡張で処理しようとすると「pg-config」が見つからないといわれます。
確認すると存在します。また、オプションできちんと指摘しても同じになります。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

0

Postgresqlの開発用(devel)パッケージが入ってないとか。
パッケージ名は知らないのでどれかと問われると困るけど、たぶんファイル名にdevelがついたやつ。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/09/20 09:57

    「--with-pdo-pgsql=/usr/pgsql-10/bin --with-pgsql=/usr/pgsql-10/bin」のパス指定を外して
    「--with-pdo-pgsql --with-pgsql」だけにしたらどうでしょう?

    キャンセル

  • 2019/09/20 11:25

    それを行うとMakeを実行するとエラーが発生してしまうのです。

    キャンセル

  • 2019/09/20 11:59

    あとはパスを/usr/pgsql-10/binから/usr/pgsql-10にして試してみるとか。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.12%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る